/**
  *  \file client/tiles/mineinfo.h
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_MINEINFO_H
#define PCC_V2_CLIENT_TILES_MINEINFO_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

class GUniverse;
class GMinefield;

class WMinefieldInfoTile : public WObjectSelectionObserverTile {
    UIButton btn_s;
    UIButton btn_p;
 public:
    WMinefieldInfoTile(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

int getAssociatedPlanet(const GUniverse& univ, const GMinefield& mf);

#endif
